Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ptardiff

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ptardiff

- NAME
- DESCRIPTION
- SYNOPSIS
- OPTIONS
- SEE ALSO

# NAME

ptardiff - program that diffs an extracted archive against an unextracted one

# DESCRIPTION

        ptardiff is a small program that diffs an extracted archive    against an unextracted one, using the perl module Archive::Tar.    This effectively lets you view changes made to an archives contents.    Provide the progam with an ARCHIVE_FILE and it will look up all    the files with in the archive, scan the current working directory    for a file with the name and diff it against the contents of the    archive.

# SYNOPSIS

        ptardiff ARCHIVE_FILE    ptardiff -h    $ tar -xzf Acme-Buffy-1.3.tar.gz    $ vi Acme-Buffy-1.3/README    [...]    $ ptardiff Acme-Buffy-1.3.tar.gz > README.patch

# OPTIONS

        h   Prints this help message

# SEE ALSO

tar(1), Archive::Tar.

Page index

- NAME
- DESCRIPTION
- SYNOPSIS
- OPTIONS
- SEE ALSO